Subject: Re: git-svn bug?

From: Seth Falcon <[email-masked]>
Date: Thu, 16 Nov 2006 07:32:07 -0800

Shawn Pearce <[email-masked]> writes:
> Seth Falcon <[email-masked]> wrote:
>> I always send commits as:
>> 
>> git-svn dcommit remotes/git-svn..master
>> 
>> Possibly replacing master with whatever git branch I'm working on.
>
> Or just:
>
>    git-svn dcommit remotes/git-svn..
>
> to send the current branch.

Yes, but be warned.  As I just discovered, dcommit always commits up
to the HEAD of the current branch.  So I just did:

git-svn dcommit remotes/git-svn..HEAD~3

And the ~3 was ignored.  :-(
Not a bug, as the doc says that dcommit operates on HEAD, but it would
be convenient to have this work -- especially since reviewing with
diff (or better log -p) seems natural.